summaryrefslogtreecommitdiffstats
path: root/debian/ss-dev.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/ss-dev.postinst')
-rw-r--r--debian/ss-dev.postinst26
1 files changed, 26 insertions, 0 deletions
diff --git a/debian/ss-dev.postinst b/debian/ss-dev.postinst
new file mode 100644
index 0000000..bf49c9d
--- /dev/null
+++ b/debian/ss-dev.postinst
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# Abort on error.
+set -e
+
+symlink_match()
+{
+ local SYMLINK="$1"
+ local SYMLINK_TARGET="$2"
+
+ [ "$(readlink "$SYMLINK")" = "$SYMLINK_TARGET" ] || \
+ [ "$(readlink -f "$SYMLINK")" = "$SYMLINK_TARGET" ]
+}
+
+SYMLINK=/usr/share/doc/ss-dev
+SYMLINK_TARGET=libss2
+
+if [ "$1" = "configure" ] && [ -h "${SYMLINK}.dpkg-backup" ] &&
+ symlink_match "${SYMLINK}.dpkg-backup" "$SYMLINK_TARGET"
+then
+ rm -f "${SYMLINK}.dpkg-backup"
+fi
+
+#DEBHELPER#
+
+exit 0